<?php



class PerfilesMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.PerfilesMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('PERFILES');
		$tMap->setPhpName('Perfiles');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('USERNAME', 'Username', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('UPDATE_AT', 'UpdateAt', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 